Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# POA_CORBA::_TAO_Policy_ThruPOA_Proxy_Impl Class Reference

`#include <PolicyS.h>`

List of all members.

## Public Methods
| _TAO_Policy_ThruPOA_Proxy_Impl (void)
virtual | ~_TAO_Policy_ThruPOA_Proxy_Impl (void)
## Static Public Methods
void | _get_policy_type (TAO_Abstract_ServantBase *servant, TAO::Argument **args, int num_args ACE_ENV_ARG_DECL) throw ( CORBA::SystemException )
void | copy (TAO_Abstract_ServantBase *servant, TAO::Argument **args, int num_args ACE_ENV_ARG_DECL) throw ( CORBA::SystemException )
void | destroy (TAO_Abstract_ServantBase *servant, TAO::Argument **args, int num_args ACE_ENV_ARG_DECL) throw ( CORBA::SystemException )

## Constructor & Destructor Documentation

POA_CORBA::_TAO_Policy_ThruPOA_Proxy_Impl::_TAO_Policy_ThruPOA_Proxy_Impl | ( | void |  | ) |

virtual POA_CORBA::_TAO_Policy_ThruPOA_Proxy_Impl::~_TAO_Policy_ThruPOA_Proxy_Impl | ( | void |  | ) | `[inline, virtual]`

## Member Function Documentation

void POA_CORBA::_TAO_Policy_ThruPOA_Proxy_Impl::_get_policy_type | ( | TAO_Abstract_ServantBase * | servant,
|  | TAO::Argument ** | args,
|  | int num_args | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException )`[static]`

void POA_CORBA::_TAO_Policy_ThruPOA_Proxy_Impl::copy | ( | TAO_Abstract_ServantBase * | servant,
|  | TAO::Argument ** | args,
|  | int num_args | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException )`[static]`

void POA_CORBA::_TAO_Policy_ThruPOA_Proxy_Impl::destroy | ( | TAO_Abstract_ServantBase * | servant,
|  | TAO::Argument ** | args,
|  | int num_args | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException )`[static]`

The documentation for this class was generated from the following files:

- PolicyS.h
- PolicyS.cpp